org.gradle.plugins.javascript.envjs.browser

## Class BrowserEvaluate

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.plugins.javascript.envjs.browser.BrowserEvaluate

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      public class BrowserEvaluate
      extends DefaultTask

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrowserEvaluate()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getContent()`
    `BrowserEvaluator` | `getEvaluator()`
    `String` | `getResource()`
    `File` | `getResult()`
    `void` | `setContent(Object content)`
    `void` | `setEvaluator(BrowserEvaluator evaluator)`
    `void` | `setResource(Object resource)`
    `void` | `setResult(Object result)`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, executeWithoutThrowingTaskFailure, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getStateInternal, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, leftShift, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setMustRunAfter, setName, setOnlyIf, setOnlyIf, setProject, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BrowserEvaluate

          public BrowserEvaluate()

  - ### Method Detail

    - #### getContent

          @InputDirectory
          public File getContent()

    - #### setContent

          public void setContent(Object content)

    - #### getResource

          @Input
          public String getResource()

    - #### setResource

          public void setResource(Object resource)

    - #### getEvaluator

          public BrowserEvaluator getEvaluator()

    - #### setEvaluator

          public void setEvaluator(BrowserEvaluator evaluator)

    - #### getResult

          @OutputFile
          public File getResult()

    - #### setResult

          public void setResult(Object result)